QT += svg

TEMPLATE = app
CONFIG += warn_on \
release \
 opengl

DESTDIR = build/result
OBJECTS_DIR = build/obj
MOC_DIR = build/moc
UI_DIR = build/ui
TARGET = videocut

data.files += build/result/videocut
data.path += /usr/bin/

menu.files += menu/videocut
menu.path += /usr/share/menu/

logo.files += videocut.svg
logo.path += /usr/share/icons/hicolor/scalable/apps

share.files += AUTHORS
share.files += THANKSTO
share.files += LICENSE
share.files += ABOUT
share.path += /usr/share/doc/videocut/

INSTALLS += data
INSTALLS += share
INSTALLS += menu
INSTALLS += logo

DEPENDPATH += ". \
              src/TListPanel \
              src/TOptions \
              src/TPreviewPanel \
              src/TPreviewWidget \
              #src/TVideo \
              build/ui"

HEADERS += src/frameStruct.h \
           src/TMainWindow.h \
           src/TProgress.h \
           #src/TVideo/TVideo.h \
           src/TListPanel/TFrameItem.h \
           src/TListPanel/TListPanel.h \
           src/TOptions/TConfigdialog.h \
           src/TOptions/TFontChoser.h \
           src/TOptions/TPages.h \
           src/TOptions/TUserSettings.h \
           src/TPreviewPanel/TGraphItem.h \
           src/TPreviewPanel/TPreviewPanel.h \
           src/TPreviewPanel/TBackground.h \
           src/TPreviewPanel/TLogo.h \
           src/TOptions/TColorChoser.h \
           src/const.h \
           src/TViewFrame/TViewFrame.h \
           src/TViewFrame/TViewItem.h \
           src/TFrameStruct.h \
           src/TAboutWindow.h \
           src/backends/TXine.h

SOURCES += src/main.cpp \
           src/TMainWindow.cpp \
           src/TProgress.cpp \
           #src/TVideo/TVideo.cpp \
           src/TListPanel/TFrameItem.cpp \
           src/TListPanel/TListPanel.cpp \
           src/TOptions/TConfigdialog.cpp \
           src/TOptions/TFontChoser.cpp \
           src/TOptions/TPages.cpp \
           src/TOptions/TUserSettings.cpp \
           src/TPreviewPanel/TGraphItem.cpp \
           src/TPreviewPanel/TPreviewPanel.cpp \
           src/TPreviewPanel/TBackground.cpp \
           src/TPreviewPanel/TLogo.cpp \
           src/TOptions/TColorChoser.cpp \
           src/TViewFrame/TViewFrame.cpp \
           src/TViewFrame/TViewItem.cpp \
           src/TFrameStruct.cpp \
           src/TAboutWindow.cpp \
           src/backends/TXine.cpp

RESOURCES += resources.qrc

TRANSLATIONS = i18n/videocut.ru_RU.ts \
                           i18n/videocut.uk_UA.ts \
                           i18n/videocut.zh_CN.ts \
                           i18n/videocut.fr_FR.ts

INCLUDEPATH += /usr/include \
/usr/include/qt4/ \
build/ui \
src/TPreviewPanel \
src/TOptions \
src/TListPanel \
src/backends

LIBS += "-lxine"

